CGAL 6.1.1 - 2D Conforming Triangulations and Meshes

Loading...
Searching...
No Matches
Functions
I/O Functions
Reference Manual

##

In addition to the stream extraction and insertion operators for CGAL 2D triangulations, the following functions can be used.

## Functions
template<class CDT >
void | CGAL::IO::write_VTU (std::ostream &os, const CDT &tr, IO::Mode mode=IO::BINARY)
| writes the faces of a domain and its constrained edges embedded in a 2D constrained Delaunay triangulation using the `PolyData` XML format.
template<class CDT , typename InDomainPmap >
void | CGAL::IO::write_VTU (std::ostream &os, const CDT &tr, InDomainPmap ipm, IO::Mode mode=IO::BINARY)
| writes the faces of a domain and its constrained edges embedded in a 2D constrained Delaunay triangulation using the `PolyData` XML format.

## Function Documentation

## ◆ write_VTU() [1/2]

template<class CDT , typename InDomainPmap >

void CGAL::IO::write_VTU | ( | std::ostream & | os,
|  | const CDT & | tr,
|  | InDomainPmap | ipm,
|  | IO::Mode | mode = `IO::BINARY`
| ) |  |

`#include <CGAL/IO/write_VTU.h>`

writes the faces of a domain and its constrained edges embedded in a 2D constrained Delaunay triangulation using the `PolyData` XML format.

The faces output are those for which `get(ipm, f)` returns `true` where `f` is a `CDT::Face_handle`, the edges are those for which `ConstrainedTriangulationFaceBase_2::is_constrained()` returns `true`.

Attention
  To read a binary file, the flag `std::ios::binary` must be set during the creation of `os`.

Template Parameters

  CDT | a `Constrained_Delaunay_triangulation_2` with face type model of `DelaunayMeshFaceBase_2`.
  InDomainPmap | a class model of `ReadWritePropertyMap` with `CDT::Face_handle` as key type and `bool` as value type.

Parameters

  os | the stream used for writing.
  tr | the triangulated domain to be written.
  ipm | the property map storing if a face is in the domain.
  mode | decides if the data should be written in binary (`BINARY`) or in ASCII (`ASCII`).

## ◆ write_VTU() [2/2]

template<class CDT >

void CGAL::IO::write_VTU | ( | std::ostream & | os,
|  | const CDT & | tr,
|  | IO::Mode | mode = `IO::BINARY`
| ) |  |

`#include <CGAL/IO/write_VTU.h>`

writes the faces of a domain and its constrained edges embedded in a 2D constrained Delaunay triangulation using the `PolyData` XML format.

The faces output are those for which `DelaunayMeshFaceBase_2::is_in_domain()` returns `true`, the edges are those for which `ConstrainedTriangulationFaceBase_2::is_constrained()` returns `true`.

Attention
  To read a binary file, the flag `std::ios::binary` must be set during the creation of `os`.

Template Parameters

  CDT | a `Constrained_Delaunay_triangulation_2` with face type model of `DelaunayMeshFaceBase_2`.

Parameters

  os | the stream used for writing.
  tr | the triangulated domain to be written.
  mode | decides if the data should be written in binary (`BINARY`) or in ASCII (`ASCII`).